Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common
Class Configuration

    java.lang.Object
      com.arjuna.orbportability.common.Configuration

public class Configuration
extends java.lang.Object

Module specific configuration object.

Since:
  JTS 1.0.
Version:
  $Id: Configuration.javatmpl 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`Configuration()`

Method Summary
`static int` | `bindDefault()`
`static java.lang.String` | `configFile()`
`static java.lang.String` | `configFileRoot()`
`static java.lang.String` | `defaultORBConfiguration()`
`static java.lang.String` | `propertiesDir()`
`static java.lang.String` | `propertiesFile()`
`static void` | `setBindDefault(int i)` Set the default bind mechanism.
`static void` | `setConfigFile(java.lang.String s)` Set the name of the file where may be stored.
`static void` | `setConfigFileRoot(java.lang.String s)` Set the location of the file where may be stored.
`static void` | `setPropertiesFile(java.lang.String file)` Set the name of the properties file.
`static java.lang.String` | `version()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### defaultORBConfiguration

    public static final java.lang.String defaultORBConfiguration()

  Returns:
    the name of the default orb configuration file.

### propertiesFile

    public static final java.lang.String propertiesFile()

  Returns:
    the name of the module properties file to use.

### setPropertiesFile

    public static final void setPropertiesFile(java.lang.String file)

  Set the name of the properties file.

### propertiesDir

    public static final java.lang.String propertiesDir()

  Returns:
    the location of the module properties file to use.

### configFile

    public static final java.lang.String configFile()

  Returns:
    the name of the file where may be stored.

### setConfigFile

    public static void setConfigFile(java.lang.String s)

  Set the name of the file where may be stored.

### configFileRoot

    public static final java.lang.String configFileRoot()

  Returns:
    the location of the file where may be stored.

### setConfigFileRoot

    public static void setConfigFileRoot(java.lang.String s)

  Set the location of the file where may be stored.

### bindDefault

    public static final int bindDefault()

  Returns:
    the default bind mechanism.

### setBindDefault

    public static final void setBindDefault(int i)

  Set the default bind mechanism.

### version

    public static final java.lang.String version()

  Returns:
    the version of the module.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD